#ifndef __DIRITER_H
#define __DIRITER_H

#ifdef __cplusplus
extern "C" {
#endif

class Directory
{
	public:
		Directory(const char *directory);
		~Directory();
		
		const char *getNext(const char *entry);
		const char *getPrev(const char *entry);
	private:
		int findEntry(const char *entry);
		
		char **entries;
		int numEntries;
};

#ifdef __cplusplus
}
#endif

#endif


